## icewm 1.4.3.0~pre-20180217

=== debian/changelog ===
icewm (1.4.3.0~pre-20180217-3) unstable; urgency=medium

  * Adding missing libjpeg-dev build-dependency

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Feb 2018 20:16:54 +0100

icewm (1.4.3.0~pre-20180217-2) unstable; urgency=medium

  * New upstream snapshot
  * Fixed export of CONFIG_LIBJPEG in source code (closes: #891737)

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Feb 2018 18:41:58 +0100

icewm (1.4.3.0~pre-20180217-1) unstable; urgency=low

  * New upstream snapshot
  * Uploading to Sid, pros should outweigh the cons by now
  * Use automatic icon name resolution for applications managed via
    alternatives mechanism, stops showing wrong/missing icons
  * More build-deps (perl for pod based manpages)

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Feb 2018 19:20:05 +0100

icewm (1.4.3.0~pre-20171225-1) experimental; urgency=low

  * New upstream snapshot
  * Finally switched to direct PNG&XPM loader
  * Changed build to create just one flavor. icewm-lite is now simulated
    through runtime default configuration.

 -- Eduard Bloch <blade@debian.org>  Mon, 25 Dec 2017 22:42:23 +0100

icewm (1.4.3.0~pre-20171204-3) experimental; urgency=low

  * Upstream patch: Fix the build in case where icesound is not enabled

 -- Eduard Bloch <blade@debian.org>  Tue, 05 Dec 2017 20:04:51 +0100

icewm (1.4.3.0~pre-20171204-2) experimental; urgency=low

  * Patch and actually build fix: Back to PIXBUF as default image loader, the
    new PNG+XPM is not sufficient

 -- Eduard Bloch <blade@debian.org>  Tue, 05 Dec 2017 08:03:21 +0100

icewm (1.4.3.0~pre-20171204-1) experimental; urgency=low

  * New upstream snapshot
    - dropped icewmtray binary (not built-in feature)

 -- Eduard Bloch <blade@debian.org>  Mon, 04 Dec 2017 19:07:38 +0100

icewm (1.4.3.0~pre-20171017-1) experimental; urgency=low

  * New upstream snapshot
    + includes FTBFS fixes (closes: #877613)
    + various fixes for colormap handling (#261876 related)
    + manpage updates (mostly in the previous snapshots, closes: #711603)
    + taskbar shouldn't be focusable anymore (closes: #174712)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross compilers (closes: #850919)

 -- Eduard Bloch <blade@debian.org>  Tue, 17 Oct 2017 19:49:37 +0200

icewm (1.4.3.0~pre-20171002-2) experimental; urgency=low

  * Fix FTBFS due to accidentally removed libsndfile1-dev dependency
  * Change of x-terminal-emulator call to xterm in the "Restart as Xterm"
    function, since this ends deadly with multi-window-single-session
    implementations like terminator (partial fix of #224537)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Oct 2017 20:39:43 +0200

icewm (1.4.3.0~pre-20171002-1) experimental; urgency=low

  * New upstream snapshot
    - Fixed space allocation below taskbar in certain display setups (thanks to
      Dmitry Semyonov, closes: #874271, #536251)
    - Fixes/Improves automatic discovery of network devices including new
      systemd naming scheme, closes: #801867, #790745)
    - Overhauled icon space allocation (probably closes: #400880)
  * Changed version string (this is preview, 1.4.3 is not released yet)
  * Font size tuning (smaller and less bold)
  * Dropped dependency on libesd (will be used if present through libao,
    detected at runtime; closes: #856080)
  * Documented upstream bug tracker (closes: #802181)
  * Drop deprecated symlink for deprecated themes gtk/gtk2 (closes: #877183)

 -- Eduard Bloch <blade@debian.org>  Mon, 02 Oct 2017 18:51:17 +0200

icewm (1.4.3+mod+20170901-1) experimental; urgency=low

  * New (unofficial fork) upstream snapshot
  * Adding libao-dev build dependency to enable AO support

 -- Eduard Bloch <blade@debian.org>  Fri, 01 Sep 2017 21:33:43 +0200

icewm (1.4.3+mod+20170823-1) experimental; urgency=low

  * New (unofficial fork) upstream snapshot
  * Drop our modifications on font loading (explicite preference for DejaVu)
  * Build rules fixes to use parallelization (stop using dh_auto_build, use
    plain make)

 -- Eduard Bloch <blade@debian.org>  Tue, 08 Aug 2017 21:11:45 +0200

icewm (1.4.1+mod+20170728-1) experimental; urgency=low

  * New (unofficial fork) upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Jul 2017 16:13:19 +0200
