## icewm 1.4.3.0~pre-20180822

=== debian/changelog ===
icewm (1.4.3.0~pre-20180822-1) unstable; urgency=low

  * New upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Wed, 22 Aug 2018 22:10:15 +0200

icewm (1.4.3.0~pre-20180809-2) unstable; urgency=low

  * Aligned cmake config with the desired image loader selection, also
    enabling SVG support
  * Adding symlink to (default) preferences file to examples folder

 -- Eduard Bloch <blade@debian.org>  Fri, 10 Aug 2018 08:43:10 +0200

icewm (1.4.3.0~pre-20180809-1) unstable; urgency=low

  * Updated upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Thu, 09 Aug 2018 13:03:11 +0200

icewm (1.4.3.0~pre-20180217-4) unstable; urgency=low

  * Restrict supported audio backends to libao (closes: #897595)
  * Build-Dep: added libfribidi-dev, removed libaudiofile-dev

 -- Eduard Bloch <blade@debian.org>  Sat, 05 May 2018 15:01:31 +0200
