=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>= 9), libxrender-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libsndfile1-dev, libaudiofile-dev, libao-dev, libsm-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, groff, dpkg-dev (>= 1.16.1~), cmake, asciidoctor, libxpm-dev, libpng-dev, libjpeg-dev (>> 1.2), libglib2.0-dev
+Build-Depends: debhelper (>= 9), libxrender-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libsndfile1-dev, libao-dev, libsm-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, groff, dpkg-dev (>= 1.16.1~), cmake, asciidoctor, libxpm-dev, libgdk-pixbuf2.0-dev, libglib2.0-dev, libfribidi-dev, librsvg2-dev
+# actually the RSVG is only relevant to detect svg support when pixbuf is used. As of 2018-06-10, SVG loader only works with pixbuf. If not for SVG support, libgdk-pixbuf2.0-dev can be replaced with: libpng-dev, libjpeg-dev (>> 1.2)
 Build-Conflicts: libttf-dev
 Standards-Version: 4.1.1
 Vcs-Git: https://github.com/Code7R/icewm.git
@@ -11,7 +12,7 @@
 Architecture: any
 Conflicts: menu (<< 2.1.9-1)
 Replaces: icewm (<< 1.2.14), icewm-gnome-support (<< 1.3.8-3), icewm-themes (<< 1.3.8-3)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, sensible-utils
 Recommends: menu, xscreensaver
 Description: wonderful Win95-OS/2-Motif-like window manager
  IceWm is a Window Manager for X Window System. Can emulate the look of
@@ -37,17 +38,16 @@
 
 Package: icewm-lite
 Architecture: any
-Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: x-window-manager
-Description: wonderful Win95-OS/2-Motif-like window manager
+Depends: icewm (= ${binary:Version}), icewm-common (= ${binary:Version}), ${misc:Depends}
+Section: oldlibs
+Description: transitional package for icewm
  IceWm is a Window Manager for X Window System. It is fast and
- memory-efficient, and it provides many different looks including Windows'95,
- OS/2 Warp 3,4, Motif. It tries to take the best features of the above
- systems. Additional features include  multiple workspaces, opaque move/resize,
- task bar, window list, mailbox status, digital clock.
+ memory-efficient, and it provides different looks and some desktop-like
+ functionality.
  .
- This package provides a minimal icewm binary with no support for
- taskbar and antialiased fonts.
+ This package only exists to maintain compatibility to system setups that
+ relied on the former icewm-lite package. It can be safely removed once the
+ system dependencies has been adjusted.
 
 Package: icewm-experimental
 Architecture: any
