=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ICONS=$(CURDIR)/debian/icons
 FDO=$(CURDIR)/debian/fdo
 CUSTOM=$(CURDIR)/debian/custom
-cmakeargs = -DDOCDIR=$(DOCDIR) -DHTMLDIR=$(DOCDIR)/html -DICEHELPIDX=/usr/share/doc/icewm-common/html/icewm.html -DCFGDIR=/etc/X11/icewm -DCMAKE_INSTALL_PREFIX=/usr -DVERSION=$(ORIGVERSION) -DCMAKE_VERBOSE_MAKEFILE=ON
+cmakeargs = -DDOCDIR=$(DOCDIR) -DHTMLDIR=$(DOCDIR)/html -DICEHELPIDX=/usr/share/doc/icewm-common/html/icewm.html -DCFGDIR=/etc/X11/icewm -DCMAKE_INSTALL_PREFIX=/usr -DVERSION=$(ORIGVERSION) -DCMAKE_VERBOSE_MAKEFILE=ON -DICESOUND=AO -DCONFIG_GDK_PIXBUF_XLIB=on -DCONFIG_XPM=off -DCONFIG_LIBPNG=off -DCONFIG_LIBRSVG=on 
 #-DEXTRA_LIBS="-lsupc++" 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -79,6 +79,7 @@
 	mkdir -p $(ICEWM_COMMON)/usr/bin $(ICEWM_COMMON)/etc/X11/icewm
 	install -m 644 $(CUSTOM)/toolbar $(CUSTOM)/menu $(ICEWM_COMMON)/usr/share/icewm
 	install -m 644 debian/README.cfg $(ICEWM_COMMON)/usr/share/icewm/README
+	install -m 755 debian/netstat.sh $(ICEWM_COMMON)/usr/share/icewm
 	# Extra docs
 	mkdir -p "$(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ"
 	cd $(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ && sgml2html $(CURDIR)/debian/FAQ/source/*.sgml
