## icewm 1.4.3.0~pre-20181030

=== debian/changelog ===
icewm (1.4.3.0~pre-20181030-2) unstable; urgency=low

  * Dropped build and installation of the additional icewm FAQ (wrong
    information is often worse that no information, and FTBFS fix due to
    removed linuxdoc-tools dependency)

 -- Eduard Bloch <blade@debian.org>  Wed, 31 Oct 2018 12:25:51 +0100

icewm (1.4.3.0~pre-20181030-1) unstable; urgency=low

  * New upstream snapshot
  * Reverting terminal wrapper on some utility functionality to upstream
    default (xterm) to avoid incompatibilities with some x-terminal-emulator
    providers
  * Cleanup of some old dependencies, no longer used in this branch

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Oct 2018 22:05:40 +0100
