=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Eduard Bloch <blade@debian.org>
-Build-Depends: debhelper (>= 9), libxrender-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libsndfile1-dev, libao-dev, libsm-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, groff, dpkg-dev (>= 1.16.1~), cmake, asciidoctor, libxpm-dev, libgdk-pixbuf2.0-dev, libglib2.0-dev, libfribidi-dev, librsvg2-dev
+Build-Depends: debhelper (>= 9), libxrender-dev, gettext, libxft-dev (>> 2.1.1) | libxft2-dev, libsndfile1-dev, libao-dev, libsm-dev, libx11-dev, libxext-dev, libxinerama-dev, libxrandr-dev, x11proto-core-dev | x-dev, dpkg-dev (>= 1.16.1~), cmake, asciidoctor, libxpm-dev, libgdk-pixbuf2.0-dev, libglib2.0-dev, libfribidi-dev, librsvg2-dev
 # actually the RSVG is only relevant to detect svg support when pixbuf is used. As of 2018-06-10, SVG loader only works with pixbuf. If not for SVG support, libgdk-pixbuf2.0-dev can be replaced with: libpng-dev, libjpeg-dev (>> 1.2)
 Build-Conflicts: libttf-dev
 Standards-Version: 4.1.1
@@ -13,7 +13,7 @@
 Conflicts: menu (<< 2.1.9-1)
 Replaces: icewm (<< 1.2.14), icewm-gnome-support (<< 1.3.8-3), icewm-themes (<< 1.3.8-3)
 Depends: ${misc:Depends}, ${shlibs:Depends}, sensible-utils
-Recommends: menu, xscreensaver
+Recommends: menu, xscreensaver, xterm
 Description: wonderful Win95-OS/2-Motif-like window manager
  IceWm is a Window Manager for X Window System. Can emulate the look of
  Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of the above
