## icewm 1.5.5+git20190610

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 option(CONFIG_RENDER "Define to enable XRENDER extension" on)
 option(CONFIG_XRANDR "Define to enable XRANDR extension" on)
 option(CONFIG_SESSION "Define to enable X session management" on)
-option(CONFIG_EXTERNAL_TRAY "Define to build tray support in standalone executable" off)
+option(CONFIG_EXTERNAL_TRAY "Define for external systray (unsupported)" off)
 option(ENABLE_NLS "Enable Native Language Support" on)
 option(ENABLE_LTO "Enable Link Time Optimization" off)
 
@@ -158,7 +158,6 @@
 CHECK_INCLUDE_FILE_CXX(locale.h HAVE_LOCALE_H)
 CHECK_INCLUDE_FILE_CXX(netdb.h HAVE_NETDB_H)
 CHECK_INCLUDE_FILE_CXX(netinet/in.h HAVE_NETINET_IN_H)
-CHECK_INCLUDE_FILE_CXX(sndfile.h HAVE_SNDFILE_H)
 CHECK_INCLUDE_FILE_CXX(stddef.h HAVE_STDDEF_H)
 CHECK_INCLUDE_FILE_CXX(stdlib.h HAVE_STDLIB_H)
 CHECK_INCLUDE_FILE_CXX(string.h HAVE_STRING_H)
@@ -325,7 +324,8 @@
 #clear cache
 set(ENABLE_ALSA off)
 set(ENABLE_AO off)
-set(ENABLE_ESD off)
 set(ENABLE_OSS off)
 set(audio_libs )
 set(audio_flags )
+# Triggers some cmake bug, use copy-pasta for now
+#macro(_addsnd varname flagname)
