## icewm 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 cmake_minimum_required(VERSION 2.6)
-IF (POLICY CMP0053) # in CMake 3.1.0+
-  CMAKE_POLICY (SET CMP0053 OLD) # keep old-style @VAR@ expansion
-ENDIF (POLICY CMP0053)
+CMAKE_POLICY (SET CMP0053 NEW)
 PROJECT(ICEWM CXX C)
 
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
