=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,9 @@
 INCLUDE(CheckCXXSourceCompiles)
 INCLUDE(CheckCXXCompilerFlag)
 
-SET(CXXFLAGS_COMMON "-pthread -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I. -DHAVE_CONFIG_H")
-
-set(icewm_img_libs "")
+SET(CXXFLAGS_COMMON -pthread -Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DHAVE_CONFIG_H -include "${CMAKE_BINARY_DIR}/config.h")
+include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+
 set(icewm_libs "")
 
 if("${CMAKE_BUILD_TYPE}" STREQUAL "" AND ("" STREQUAL "${CMAKE_CXX_FLAGS}"))
@@ -22,39 +22,38 @@
 endif()
 
 if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+    CHECK_CXX_COMPILER_FLAG(-std=gnu++98 CXX_FORCELEGACY)
+    if(CXX_FORCELEGACY)
+        list(APPEND CXXFLAGS_COMMON -std=gnu++98)
+    endif()
     add_definitions(-DDEBUG)
 endif()
-
-# carefully splicing of command line arguments, even from lists
-macro(_append varname)
-    string(REPLACE ";" " " _apx "${ARGN}")
-    if(NOT DEFINED ${varname})
-        set(${varname} "${_apx}")
-    else()
-        set(${varname} "${${varname}} ${_apx}")
-    endif()
-endmacro()
 
 # I don't need -rdynamic, thanks!
 SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")
 SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
 
-# apply to test calls
-SET(CMAKE_REQUIRED_FLAGS ${CXXFLAGS_COMMON})
+SET(CMAKE_REQUIRED_FLAGS )
 
 CHECK_CXX_COMPILER_FLAG(-fvisibility=hidden CXX_VHI)
 if(CXX_VHI)
-    _append(CXXFLAGS_COMMON -fvisibility=hidden)
+    list(APPEND CXXFLAGS_COMMON -fvisibility=hidden)
 endif()
 
 CHECK_CXX_COMPILER_FLAG(-fvisibility-inlines-hidden CXX_VIHI)
 if(CXX_VIHI)
-    _append(CXXFLAGS_COMMON -fvisibility-inlines-hidden)
-endif()
-
-CHECK_CXX_COMPILER_FLAG(-std=gnu++98 CXX_FORCELEGACY)
-if(CXX_FORCELEGACY)
-    _append(CXXFLAGS_COMMON -std=gnu++98)
+    list(APPEND CXXFLAGS_COMMON -fvisibility-inlines-hidden)
+endif()
+
+# teach GCC7+ to interpret our comments
+CHECK_CXX_COMPILER_FLAG(-Wimplicit-fallthrough=2 HAS_FALLTHROUGH_OPTION)
+if(HAS_FALLTHROUGH_OPTION)
+    list(APPEND CXXFLAGS_COMMON -Wimplicit-fallthrough=2)
+else()
+    CHECK_CXX_COMPILER_FLAG(-Wimplicit-fallthrough HAS_FALLTHROUGH_OPTION)
+    if(HAS_FALLTHROUGH_OPTION)
+        list(APPEND CXXFLAGS_COMMON -Wimplicit-fallthrough)
+    endif()
 endif()
 
 #CHECK_CXX_COMPILER_FLAG(-Wl,-fuse-ld=gold CXX_LINKER_GOLD)
@@ -97,7 +96,7 @@
 endif()
 
 if(ENABLE_LTO)
-    set(CXXFLAGS_COMMON "${CXXFLAGS_COMMON} -flto")
+    list(APPEND CXXFLAGS_COMMON -flto)
     list(APPEND EXTRA_LIBS -flto)
 endif()
 
@@ -190,8 +189,14 @@
 #########################################################
 
 pkg_check_modules(fontconfig fontconfig)
+pkg_check_modules(xrender xrender)
+pkg_check_modules(xcomposite xcomposite)
+pkg_check_modules(xdamage xdamage)
+pkg_check_modules(xfixes xfixes)
 pkg_check_modules(xext xext)
 pkg_check_modules(x11 x11)
+
+set(icewm_img_libs ${xrender_LDFLAGS} ${xcomposite_LDFLAGS} ${xdamage_LDFLAGS} ${xfixes_LDFLAGS})
 
 # XXX: the image loader selection became a big mess but it is hard to revert now
 # It would have been a better idea to use different names for the user-specified
@@ -291,15 +296,6 @@
         message(WARNING "Xrandr library not found, disabling CONFIG_XRANDR")
         set(CONFIG_XRANDR off)
     ENDIF()
-endif()
-
-if(CONFIG_RENDER)
-    pkg_check_modules(xrender xrender)
-    IF(NOT xrender_FOUND)
-        message(WARNING "Xrender library not found, disabling CONFIG_RENDER")
-        set(CONFIG_RENDER off)
-    ENDIF()
-    LIST(APPEND icewm_img_libs ${xrender_LDFLAGS})
 endif()
 
 option(CONFIG_COREFONTS "Define to enable X11 core fonts" off)
@@ -324,8 +320,3 @@
 #clear cache
 set(ENABLE_ALSA off)
 set(ENABLE_AO off)
-set(ENABLE_OSS off)
-set(audio_libs )
-set(audio_flags )
-# Triggers some cmake bug, use copy-pasta for now
-#macro(_addsnd varname flagname)
