=== debian/changelog ===
icewm (1.6.1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Thu, 05 Sep 2019 23:09:51 +0100
